Package com.independentsoft.office.spreadsheet

# Class DateGroupItem

java.lang.Object
com.independentsoft.office.spreadsheet.DateGroupItem

public class DateGroupItem extends Object
The Class DateGroupItem.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateGroupItem()`
  Instantiates a new date group item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateGroupItem`
  `clone()`
  `DateTimeGrouping`
  `getDateTimeGrouping()`
  Gets the date time grouping.
  `int`
  `getDay()`
  Gets the day.
  `int`
  `getHour()`
  Gets the hour.
  `int`
  `getMinute()`
  Gets the minute.
  `int`
  `getMonth()`
  Gets the month.
  `int`
  `getSecond()`
  Gets the second.
  `int`
  `getYear()`
  Gets the year.
  `void`
  `setDateTimeGrouping​(DateTimeGrouping dateTimeGrouping)`
  Sets the date time grouping.
  `void`
  `setDay​(int day)`
  Sets the day.
  `void`
  `setHour​(int hour)`
  Sets the hour.
  `void`
  `setMinute​(int minute)`
  Sets the minute.
  `void`
  `setMonth​(int month)`
  Sets the month.
  `void`
  `setSecond​(int second)`
  Sets the second.
  `void`
  `setYear​(int year)`
  Sets the year.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DateGroupItem

    public DateGroupItem()
    Instantiates a new date group item.

- ## Method Details

  - ### clone

    public DateGroupItem clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDateTimeGrouping

    public DateTimeGrouping getDateTimeGrouping()
    Gets the date time grouping.
    Returns:
      the date time grouping

  - ### setDateTimeGrouping

    public void setDateTimeGrouping​(DateTimeGrouping dateTimeGrouping)
    Sets the date time grouping.
    Parameters:
      `dateTimeGrouping` - the new date time grouping

  - ### getDay

    public int getDay()
    Gets the day.
    Returns:
      the day

  - ### setDay

    public void setDay​(int day)
    Sets the day.
    Parameters:
      `day` - the new day

  - ### getHour

    public int getHour()
    Gets the hour.
    Returns:
      the hour

  - ### setHour

    public void setHour​(int hour)
    Sets the hour.
    Parameters:
      `hour` - the new hour

  - ### getMinute

    public int getMinute()
    Gets the minute.
    Returns:
      the minute

  - ### setMinute

    public void setMinute​(int minute)
    Sets the minute.
    Parameters:
      `minute` - the new minute

  - ### getMonth

    public int getMonth()
    Gets the month.
    Returns:
      the month

  - ### setMonth

    public void setMonth​(int month)
    Sets the month.
    Parameters:
      `month` - the new month

  - ### getSecond

    public int getSecond()
    Gets the second.
    Returns:
      the second

  - ### setSecond

    public void setSecond​(int second)
    Sets the second.
    Parameters:
      `second` - the new second

  - ### getYear

    public int getYear()
    Gets the year.
    Returns:
      the year

  - ### setYear

    public void setYear​(int year)
    Sets the year.
    Parameters:
      `year` - the new year